from modeller.automodel import *

class mymodel(automodel):
    def special_restraints(self, aln):
        rsr = self.restraints
        for ids in (('NH1:124', 'O1D:491'),
                    ('NE1:120', 'O1D:491'),
                    ('OG1:302', 'CBB:491')):
            rsr.add(atom_ids=ids,
                    restraint_parameters=(2, 1, 1, 22, 2, 2, 0, 3.5, 0.1))
env = environ()
env.io.hetatm = True
a = mymodel(env, alnfile='2c17ligand-1b.ali',
              knowns=('1PQ2-2C8Ahem','2c17mul1'), sequence='2c17')
a.starting_model = 1
a.ending_model = 1
a.make()
